--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: cpu
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: os
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: version
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: const_missing
- !ruby/object:RI::MethodSummary 
  name: local
- !ruby/object:RI::MethodSummary 
  name: match
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Available list of platforms for targeting Gem installations.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: DEPRECATED_CONSTS
  value: "[     :DARWIN,     :LINUX_586,     :MSWIN32,     :PPC_DARWIN,     :WIN32,     :X86_LINUX"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A pure-ruby gem that may use Gem::Specification#extensions to build binary files.
  name: RUBY
  value: "'ruby'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A platform-specific gem that is built for the packaging ruby's platform. This will be replaced with Gem::Platform::local.
  name: CURRENT
  value: "'current'"
full_name: Gem::Platform
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: ===
- !ruby/object:RI::MethodSummary 
  name: =~
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: to_a
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Platform
superclass: Object
